Package net.sf.saxon.dom

## Class TypeInfoImpl

- java.lang.Object
- - net.sf.saxon.dom.TypeInfoImpl

- All Implemented Interfaces:
    `org.w3c.dom.TypeInfo`

      public class TypeInfoImpl
      extends java.lang.Object
      implements org.w3c.dom.TypeInfo

  This class implements the DOM TypeInfo interface as a wrapper over the Saxon SchemaType interface.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.TypeInfo

      `DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TypeInfoImpl​(Configuration config, SchemaType type)` | Construct a TypeInfo based on a SchemaType

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getTypeName()` | Get the local name of the type (a system-allocated name if anonymous).
    `java.lang.String` | `getTypeNamespace()` | Get the namespace name of the type (a system-allocated name if anonymous).
    `boolean` | `isDerivedFrom​(java.lang.String typeNamespaceArg, java.lang.String typeNameArg, int derivationMethod)` | This method returns true if there is a derivation between the reference type definition, that is the TypeInfo on which the method is being called, and the other type definition, that is the one passed as parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeInfoImpl

          public TypeInfoImpl​(Configuration config,
                              SchemaType type)

      Construct a TypeInfo based on a SchemaType
      Parameters:
        `config` - the Saxon Configuration
        `type` - the schema type to be wrapped by this `TypeInfo`

  - ### Method Detail

    - #### getTypeName

          public java.lang.String getTypeName()

      Get the local name of the type (a system-allocated name if anonymous). Needed to implement the DOM level 3 TypeInfo interface.
      Specified by:
        `getTypeName` in interface `org.w3c.dom.TypeInfo`

    - #### getTypeNamespace

          public java.lang.String getTypeNamespace()

      Get the namespace name of the type (a system-allocated name if anonymous). Needed to implement the DOM level 3 TypeInfo interface.
      Specified by:
        `getTypeNamespace` in interface `org.w3c.dom.TypeInfo`

    - #### isDerivedFrom

          public boolean isDerivedFrom​(java.lang.String typeNamespaceArg,
                                       java.lang.String typeNameArg,
                                       int derivationMethod)
                                throws java.lang.IllegalStateException

      This method returns true if there is a derivation between the reference type definition, that is the TypeInfo on which the method is being called, and the other type definition, that is the one passed as parameters. This method implements the DOM Level 3 TypeInfo interface. It must be called only on a valid type.
      Specified by:
        `isDerivedFrom` in interface `org.w3c.dom.TypeInfo`
      Parameters:
        `typeNamespaceArg` - the namespace of the "other" type
        `typeNameArg` - the local name of the "other" type
        `derivationMethod` - the derivation method: zero or more of `SchemaType.DERIVATION_RESTRICTION`, `SchemaType.DERIVATION_EXTENSION`, `SchemaType.DERIVATION_LIST`, or `SchemaType.DERIVATION_UNION`. Zero means derived by any possible route.
      Throws:
        `java.lang.IllegalStateException`